Skip to main content
GET
/
v1
/
message-templates
/
{id}
Get a message template
curl --request GET \
  --url https://dev.flextell.ai/api/v1/message-templates/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "name": "<string>",
    "system_name": "<string>",
    "subject": "<string>",
    "body": "<string>",
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The message template identifier

Query Parameters

id
integer
required

The message template identifier.

Required range: x >= 1

Response

success
string
required
data
MessageTemplateResource · object
required